<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Associate an XML Schema and Validating XML Files
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="Using-the-XML-Editor_7439355.html">Using the XML Editor</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Associate an XML Schema and Validating XML Files</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified by <span class="editor">Kathleen Smith</span> on May 27, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="stmary-10x-x-109">
              It is possible to associate a schema with your XML document not only during the creation process of an XML document but also while working in the <a href="Source-View_7439338.html">Source View</a>. Please click “XML <span class="cmmi-10x-x-109">&gt;</span> Associate a Schema” in the menu bar on top and choose one of the schemas listed in the “Select Schema” dialog box. Click “OK” to associate the schema. For associating a schema, you can choose between schemas that are located in projects you have access to in the Repository or schemas from the built-in XML catalog. To import your own schema to the Repository, see <a href="Import_7439245.html">Import</a>. Currently only W3C Schemas are supported in the TextGridLab.
            </p>
            <p class="noindent">
              In the Source View, errors in the general XML syntax (such as missing quotes, missing brackets, or missing end tags) are indicated as well as validation errors (if a schema is specified) with red wavy underlining. To check if your XML document is well-formed and valid, you can validate it in any View by clicking “XML <span class="cmmi-10x-x-109">&gt;</span> Show Validation Errors” in the menu bar on top. The Validation Errors View will pop up below the Editor View showing an error message and identifying the invalid XML, if there is an error.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
